Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Campaign Messages
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages
      • Campaign Messages
      • Get All Accounts Campaigns
        POST
      • Publish Messages to Secure Storage
        POST
      • Get Campaign Messages Pages
        POST
      • Retrieve Published Messages
        POST
    • Campaign Reruns
      • Campaign Reruns
      • Get Campaign Rerun History
      • Get Run Messages
      • Initiate Campaign Rerun
  1. Campaign Messages

Get Campaign Messages Pages

POST
https://client-api.nudgescribe.com/v1/messages/pages
CampaignCampaignsCampaign MessagesGetPagesPaginationPage Count
Returns the total count of exported message files stored for a specific campaign. Used to determine pagination when downloading message files. Supports an optional run_number to count files from a specific historical run's subdirectory. Without run_number, counts only files directly under the campaign folder (excluding subdirectories).
Allows applications to understand the size of the exported dataset and implement proper pagination controls for downloading message files.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠400
🟠401Missing Fields
🟠403Unauthorised
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://client-api.nudgescribe.com/v1/messages/pages' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "campaign_id": "your-campaign-uuid"
}'
Response Response Example
200 - Example 1
{
    "num_files": 1
}
Modified at 2026-03-11 08:54:46
Previous
Publish Messages to Secure Storage
Next
Retrieve Published Messages
Built with